Nate, if you can read this..

PLEASE. We all (window users anyway) want the new Ibickr to work with 1.1.1!!!

And, we'd also like to say that we love you dearly.
haha.